Min = str2num(get(handles.A_sig_min, 'String')); Max = str2num(get(handles.A_sig_max, 'String'));
Value = str2num(get(handles.A_sig_value, 'String'));
set(handles.A_sig_slider, 'Min', Min);
set(handles.A_sig_slider, 'Max', Max);
set(handles.A_sig_slider, 'Value', Value);
set(handles.A_sig_slider, 'SliderStep', [1/(25*(Max - Min)) 10/(25*(Max - Min))]);

Min = str2num(get(handles.A_mag_min, 'String')); Max = str2num(get(handles.A_mag_max, 'String'));
Value = str2num(get(handles.A_mag_value, 'String'));
set(handles.A_mag_slider, 'Min', Min);
set(handles.A_mag_slider, 'Max', Max);
set(handles.A_mag_slider, 'Value', Value);
set(handles.A_mag_slider, 'SliderStep', [1/(25*(Max - Min)) 10/(25*(Max - Min))]);

Min = str2num(get(handles.B_radius_min, 'String')); Max = str2num(get(handles.B_radius_max, 'String'));
Value = str2num(get(handles.B_radius_value, 'String'));
set(handles.B_radius_slider, 'Min', Min);
set(handles.B_radius_slider, 'Max', Max);
set(handles.B_radius_slider, 'Value', Value);
set(handles.B_radius_slider, 'SliderStep', [1/(25*(Max - Min)) 10/(25*(Max - Min))]);

Min = str2num(get(handles.B_mag_min, 'String')); Max = str2num(get(handles.B_mag_max, 'String'));
Value = str2num(get(handles.B_mag_value, 'String'));
set(handles.B_mag_slider, 'Min', Min);
set(handles.B_mag_slider, 'Max', Max);
set(handles.B_mag_slider, 'Value', Value);
set(handles.B_mag_slider, 'SliderStep', [1/(10*(Max - Min)) 10/(10*(Max - Min))]);

Min = str2num(get(handles.W_mag_min, 'String')); Max = str2num(get(handles.W_mag_max, 'String'));
Value = str2num(get(handles.W_mag_value, 'String'));
set(handles.W_mag_slider, 'Min', Min);
set(handles.W_mag_slider, 'Max', Max);
set(handles.W_mag_slider, 'Value', Value);
set(handles.W_mag_slider, 'SliderStep', [1/(10*(Max - Min)) 10/(10*(Max - Min))]);

